> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get all completions for a form

GET https://api.vomo.org/v1/forms/{id}/completions

Returns all completions for the given form

Reference: https://virtuous.ferndocs.com/reference/volunteer/forms/completions-index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (integer, required) — VOMO Form ID

### Query parameters

- `user_id` (integer, optional) — Find completions of this form for a given User ID.
- `created_before` (datetime, optional) — Date the Form Completion was created on or before.
- `created_after` (datetime, optional) — Date the Form Completion was created on or after
- `updated_before` (datetime, optional) — Date the Form Completion was updated on or before.
- `updated_after` (datetime, optional) — Date the Form Completion was updated on or after

## Response

### 200

successful operation

- `data` (list of FormCompletionResource, optional)
- `links` (FormsIdCompletionsGetResponsesContentApplicationJsonSchemaLinks, optional)
- `meta` (FormsIdCompletionsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### FormCompletionResource

List of Form Completions

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the form completion
- `form_id` (integer, optional) — The ID of the form
- `user_id` (integer, optional) — The ID of the user who completed the form
- `project_id` (integer, optional) — The ID of the project this form submission is associated with
- `updated_at` (datetime, optional) — The date and time the form completion was updated at
- `created_at` (datetime, optional) — The date and time the form completion was created at
- `field_responses` (list of FormFieldResponseResource, optional) — The form field responses

### FormsIdCompletionsGetResponsesContentApplicationJsonSchemaLinks

- `first` (string, optional) — A link to the first page of results
- `last` (string, optional) — A link to the last page of results
- `prev` (string, optional) — A link to the previous page of results
- `next` (string, optional) — A link to the next page of results

### FormsIdCompletionsGetResponsesContentApplicationJsonSchemaMeta

- `current_page` (integer, optional) — The current page
- `from` (integer, optional) — The index of the first result on this page
- `to` (integer, optional) — The index of the last result on this page
- `path` (string, optional) — The base URL
- `per_page` (integer, optional) — The number of results per page
- `total` (integer, optional) — The total number of results

### FormFieldResponseResource

Form Field Response

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the response
- `form_completion_id` (integer, optional) — The ID of the form completion
- `user_id` (integer, optional) — The ID of the user who completed the form field
- `field_id` (integer, optional) — The ID of the form field
- `value` (string, optional) — The value of the field response

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "type": "form_completion",
      "id": 1024,
      "form_id": 1,
      "user_id": 587,
      "project_id": 42,
      "updated_at": "2024-05-20T15:22:10+00:00",
      "created_at": "2024-05-18T09:14:33+00:00",
      "field_responses": [
        {
          "type": "form_field_response",
          "id": 12,
          "form_completion_id": 1024,
          "user_id": 587,
          "field_id": 7,
          "value": "Yes"
        },
        {
          "type": "form_field_response",
          "id": 13,
          "form_completion_id": 1024,
          "user_id": 587,
          "field_id": 8,
          "value": "No"
        }
      ]
    },
    {
      "type": "form_completion",
      "id": 1025,
      "form_id": 1,
      "user_id": 589,
      "project_id": 42,
      "updated_at": "2024-05-21T11:05:45+00:00",
      "created_at": "2024-05-19T14:50:00+00:00",
      "field_responses": [
        {
          "type": "form_field_response",
          "id": 14,
          "form_completion_id": 1025,
          "user_id": 589,
          "field_id": 7,
          "value": "Maybe"
        }
      ]
    }
  ],
  "links": {
    "first": "https://api.vomo.org/v1/forms/1/completions?page=1",
    "last": "https://api.vomo.org/v1/forms/1/completions?page=4",
    "prev": null,
    "next": "https://api.vomo.org/v1/forms/1/completions?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "to": 15,
    "path": "https://api.vomo.org/v1/forms/1/completions",
    "per_page": 15,
    "total": 49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/forms/1/completions"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/forms/1/completions';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/forms/1/completions"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/forms/1/completions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms/1/completions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/forms/1/completions', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/forms/1/completions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/forms/1/completions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```